# $Revision: 1.76 $, $Date: 2004/12/31 12:56:49 $
#
# Conditional build:
%bcond_without	gtkspell	# no spelling checker

Summary:	A USENET newsreader for GNOME
Summary(es):	Uno leitor USENET para el GNOME
Summary(pl):	Czytnik USENET dla GNOME
Summary(pt_BR):	Um leitor USENET para o GNOME
Name:		pan
Version:	0.14.2.91
Release:	1
Epoch:		1
License:	GPL v2
Group:		X11/Applications
Source0:	http://pan.rebelbase.com/download/releases/%{version}/SOURCE/%{name}-%{version}.tar.bz2
# Source0-md5:	4770d899a1c1ba968ce96bc5aeb07b62
Patch0:		%{name}-po.patch
Patch1:		%{name}-intltool.patch
URL:		http://pan.rebelbase.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	aspell-devel
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	gnet-devel >= 2.0.4
BuildRequires:	gtk+2-devel >= 2:2.2.0
%{?with_gtkspell:BuildRequires: gtkspell-devel >= 2.0.2}
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.24
BuildRequires:	pcre-devel >= 4.0
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAN is Pimp Ass Newsreader. Its goal is to make a user-friendly and
powerful USENET newsreader for GNOME. Its user interface is based
loosely on popular newsreaders for Windows. This is alpha software, so
don't expect everything to work correctly or even at all.

%description -l pl
Celem programu PAN jest umoliwienie uytkownikowi prostego i
efektywnego czytania wiadomoci USENET w rodowisku GNOME. Interfejs
uytkownika jest podobny do tych znanych z Windows.

%description -l pt_BR
Pan  um leitor de Usenet News fcil e poderoso para o GNOME Ele tem
muitas caractersticas que facilitam ler e postar, mostrando e
salvando anexos e leitura "offline".

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{no,nb}.po

%build
rm -f missing
%{__sed} -i 's,\(^ALL_LINGUAS=.*\)\(no\),\1nb,' configure.in
%{__aclocal}
%{__libtoolize}
glib-gettextize -c -f
intltoolize -c -f
%{__autoconf}
%{__automake}
%configure \
	--%{?with_gtkspell:enable}%{!?with_gtkspell:disable}-gtkspell

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

echo "Categories=GTK;Network;News;" >> pan.desktop
echo "# vi: encoding=utf-8" >> pan.desktop

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Productivitydir=%{_desktopdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ANNOUNCE.html AUTHORS ChangeLog CREDITS NEWS README TODO docs/*.html
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pan.spec,v $
Revision 1.76  2004/12/31 12:56:49  charles
- cosmetics (sed speed up)

Revision 1.75  2004/12/22 16:16:50  charles
- updated to 0.14.2.91
- BR: pcre-devel, sed
- fix BR gnet-devel up to 2.0.4
- removed {desktop,locale_names}.patch (fixed in spec)

Revision 1.74  2004/11/27 13:34:54  saq
- fix epoch of BR

Revision 1.73  2004/11/27 02:43:36  zbyniu
- BR: intltool, pkgconfig

Revision 1.72  2004/11/05 12:56:45  paladine
- rel 6 for fixed desktop patch

Revision 1.71  2004/08/13 21:00:04  krzak
- rel 5
- fixed Categories in desktop file

Revision 1.70  2004/07/23 10:56:23  ankry
- no -> nb (locale_names patch), rel. 4

Revision 1.69  2004/02/22 14:35:11  qrczak
- This was not Spanish.

Revision 1.68  2004/02/22 10:52:45  krzak
- intltool.patch that set AC_CONFIG_AUX_DIR
- po.patch set menu entry to "Pan"
- rel 3  STBR

Revision 1.67  2003/09/21 15:49:27  qrczak
- --disable-gtkspell must be explicit if gtkspell is installed but not
  to be used.

Revision 1.66  2003/09/21 15:35:57  qrczak
- gtkspell support made conditional (it can't be changed after
  installation). Default is "on" but I don't like gtkspell.
- Release 2.

Revision 1.65  2003/09/04 21:46:36  undefine
- update to 0.14.2
- BR: aspell-devel

Revision 1.64  2003/08/30 10:15:02  grzegol
- updated to 0.14.1
- added --enable-gtkspell

Revision 1.63  2003/08/22 15:13:59  deejay1
- updated to 0.14.0.96
- changelog cosmetics

Revision 1.62  2003/08/18 14:12:00  deejay1
- updated to 0.14.0.95

Revision 1.61  2003/08/11 14:17:12  grzegol
- updated to 0.14.0.94

Revision 1.60  2003/08/03 16:08:35  grzegol
- fixed desktop patch
- rel. 2

Revision 1.59  2003/08/03 14:50:55  grzegol
- updated to 0.14.0.93
- removed outdated new-gnet patch
- more docs

Revision 1.58  2003/08/03 00:30:17  qboosh
- added -f to rm in clean

Revision 1.57  2003/07/18 06:22:42  adamg
- updated to 0.14.0.91

Revision 1.56  2003/07/16 12:00:39  trojan
- typo

Revision 1.55  2003/07/12 13:29:40  deejay1
- updated to 0.14.0.90

Revision 1.54  2003/06/27 20:16:29  blues
- more macros and some cleanups - inpired by kloczek

Revision 1.53  2003/06/27 14:38:23  qboosh
- more macros

Revision 1.52  2003/06/24 12:48:42  pascalek
- Release 2. Added patch for gnet > 2.0

Revision 1.51  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.50  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/05/06 09:43:10  tiwek
- updated to 1.4.0
- BR 2.0.0 > gnet-devel >=1.1.5 (ble)

Revision 1.48  2003/03/18 19:09:50  malekith
- use glib-gettextize instead of gettextize; builds now

Revision 1.47  2003/01/23 06:05:57  pascalek
- pixmapsdir changed

Revision 1.46  2003/01/13 22:11:30  michuz
- moved from DEVEL branch
- updated to 0.13.3

Revision 1.43.2.3  2002/08/26 14:47:15  michuz
- fixed BR

Revision 1.43.2.2  2002/08/26 14:46:13  michuz
- updated to 0.13.0

Revision 1.43.2.1  2002/07/16 10:20:01  michuz
- updated to 0.12.90 (gtk+2)

Revision 1.43  2002/06/23 20:52:53  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.42  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.41  2002/05/21 23:14:19  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/04/22 22:37:30  kloczek
- cosmetics.

Revision 1.39  2002/04/22 20:14:31  pioklo
- up to stable 0.11.3 version ,STBR

Revision 1.38  2002/04/02 10:54:36  pioklo
- up to 0.11.2.91

Revision 1.37  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.36  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/18 02:14:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2002/01/13 16:28:39  kloczek
- added missing "-I macros" to aclocal parameters.

Revision 1.33  2002/01/13 16:19:35  kloczek
- removed dump Patch0.

Revision 1.32  2002/01/13 14:58:41  kloczek
- revert to 0.11.0.92.

Revision 1.31  2002/01/13 14:55:17  kloczek
- release 2: rebuild against gal 0.19.

Revision 1.30  2001/12/01 17:15:55  kloczek
- updated to 0.11.0.92.

Revision 1.29  2001/11/23 06:43:09  kloczek
- corrected BuildRequires rules for gtkhtml-devel and gal-devel.

Revision 1.28  2001/11/23 06:12:29  kloczek
- updated to 0.11.0.91,
- rebuild against gal 0.18.x and gtkhtml 0.16.x.

Revision 1.27  2001/09/08 19:09:11  kloczek
- updated to 0.10.0.90 and rebuild against gal 0.11.2.

Revision 1.26  2001/08/17 20:35:40  kloczek
- updated to 0.10.0.

Revision 1.25  2001/07/26 07:37:46  kloczek
- release 4: added missing gal-devel BuildRequires rule and rebuild
  against gal 0.9.

Revision 1.24  2001/06/28 22:04:55  kloczek
- release 3: rebuild aganst gtkhtml linked with gal 0.8.

Revision 1.23  2001/06/10 22:39:14  kloczek
- release 2, Epoch: 1.

Revision 1.22  2001/06/09 15:12:50  misiek
- 0.9.7

Revision 1.21  2001/05/11 12:47:25  misiek
- release 4
- rebuild against gtkhtml 0.9.2

Revision 1.20  2001/04/23 23:03:08  misiek
BuildRequires: bison; rebuild in new gnome-print enviroment; release 3

Revision 1.19  2001/04/19 03:07:32  kloczek
- release 2,
- gebuild against gal 0.7,
- added use_AM_GNU_GETTEXT patch.

Revision 1.18  2001/03/26 22:17:19  kloczek
- updated to 0.9.6.

Revision 1.17  2001/03/19 18:02:17  kloczek
- release 2,
- Group changed to X11/Applications and spec adapterized,
- rebuild against gtkhtml linked with gal 0.5.

Revision 1.16  2001/03/12 22:55:01  kloczek
- updated to 0.9.5.

Revision 1.15  2001/02/27 05:12:03  kloczek
- updated to 0.9.4.

Revision 1.14  2001/02/11 09:59:20  misiek
- 0.9.3; stb

Revision 1.13  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.12  2001/01/04 08:07:23  kloczek
- updated to 0.9.2.

Revision 1.11  2000/10/31 16:30:44  kloczek
- updated to 0.9.1,
- removed outdated automake_fix patch,
- new Source url,
- use new rpm automation and rebuild againsrt gnome-libs linked with db3.

Revision 1.10  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/28 11:05:23  kloczek
- release 2,
- desktop file moved ftom Networking/News to Network/News.

Revision 1.7  2000/05/18 18:34:42  kloczek
- updated to 0.8.0,
- removed applnk patch,
- added automake_fix with fix passing compile options in CVLSGs in uulib,
- spec adapterized,
- added %%{_datadir}/pixmaps/* to %files.

Revision 1.6  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.5  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  2000/03/10 11:57:22  kloczek
- removed all Requires and added BuildRequires rules,
- removed COPYING from %doc.

Revision 1.2  2000/02/28 12:15:03  waszi
- updated 0.7.6

Revision 1.1  2000/02/11 21:21:01  waszi
- initial release

* Mon Jan 24 2000 Simon Piette
- changed the build section to allow building RPMS on non-x86 archs

* Sun Dec 12 1999 Jason Leach <leach@wam.umd.edu>
- changed the Summary string
- updated the description to match the README desc

* Wed Dec 1 1999 Charles Kerr <charles@skywalker.ecn.ou.edu>
- added "-ggdb3" to CFLAGS so that it'll be easier to read backtraces
  submitted in bug reports

* Thu Nov 4 1999 Jason Leach <leach@wam.umd.edu>
- added gtk+-1.2.6 requirement (1.2.3 definitely breaks, might as well
  make it newest gtk+)

* Tue Nov 2 1999 Jason Leach <leach@wam.umd.edu>
- made .spec.in file to auto-generate .spec

* Sat Sep 25 1999 Leland Elie <lelie@airmail.net>
- created spec file.
